Skip to main content
POST
Transfer Token

Headers

X-API-KEY
string
required

API key required for authentication

x-idempotency-key
string

Unique key to prevent duplicate transaction creation

Path Parameters

walletLocator
string
required

A wallet locator can be of the format:

  • <walletAddress>
  • email:<email>:<walletType>
  • userId:<userId>:<walletType>
  • userId:<userId>:<walletType> (white label user example)
  • phoneNumber:<phoneNumber>:<walletType>
  • twitter:<handle>:<walletType>
  • x:<handle>:<walletType>
tokenLocator
string
required

A token locator that supports native tokens, fungible tokens, and NFTs across different chains. It can be of the format:

  • chain:address[:tokenId]
  • chain:currency
  • chain:address

Body

application/json
recipient
string
required

An address locator that supports different types of recipients. It can be of the format:

  • <address> (wallet address)
  • chain:address (e.g. ethereum:0x1234...)
  • address:<blockchain_address>[:chain]
  • email:<email_address>[:chain]
  • phoneNumber:<phone_number>[:chain]
  • twitter:<twitter_handle>[:chain]
  • x:<twitter_handle>[:chain]
  • userId:<user_id>[:chain]
Example:

"0x1234567890123456789012345678901234567890"

signer
string

Optional signer locator. Defaults to admin signer

Example:

"evm-keypair:0xdeadbeef"

amount
string

Amount of tokens to transfer (in decimal value)

Example:

"42.69"

Response

201 - application/json

The transaction has been successfully created.

Complete transaction response including status, signing requirements, and wallet type specific data

walletType
enum<string>
required

The type of wallet that created this transaction

Available options:
evm-smart-wallet
params
object
required

EVM smart wallet transaction parameters

onChain
EVM smart wallet transaction data · object
required

EVM smart wallet transaction data including input parameters and chain specific details

id
string
required

Unique identifier for the transaction

status
enum<string>
required

Current status of the transaction

Available options:
awaiting-approval,
pending,
failed,
success
createdAt
number
required

ISO timestamp when the transaction was created

Example:

"2024-01-01T00:00:00.000Z"

approvals
object

Complete approval data including requirements, pending and submitted signatures

completedAt
number

ISO timestamp when the transaction reached finality

Example:

"2024-01-01T00:00:00.000Z"

error
object

Error message if the transaction fails after submission

sendParams
object